For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeInstances

1. API Description

This API (DescribeInstances) is used to query the details of instances. You can filter the query results with the instance ID, name, or billing method.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceIds

No

Array of String

Instance IDs.

You can query up to 100 instances in each request.

zoneId

No

String

Zone ID to which the instances belong.

internetChargeType

No

Network pricing model.

See

InternetChargeType for details.

imageId

No

String

Image ID.

instanceType

No

String

Instance model ID.

You can call DescribeInstanceTypes to obtain the latest specification.

keyId

No

String

SSH key pair ID.

For example: key-YWD2QFOl .

publicIpAddresses

No

Array of String

Public IPv4 addresses.

privateIpAddresses

No

Array of String

Public IPv4 addresses in subnet.

instanceStatus

No

Instance status.

See InstanceStatus for details.

instanceName

No

String

Instance name.

If the value ends with *, a fuzzy match will be performed on instanceName, otherwise an exact match will be performed.

subnetId

No

String

Subnet ID.

You can call DescribeSubnets to query information on subnet.

securityGroupId

No

String

Security group ID.

pageSize

No

Integer

Number of items in the current page result.

Default value: 20;

Maximum value: 1000.

pageNum

No

Integer

Number of pages returned.

Default value: 1.

Default value: 1

resourceGroupId

No

String

Resource group ID.

If the value is null, then return all the instances in the authorized resource groups.

tagKeys

No

Array of String

Query using tag keys.

A maximum of 20 tag keys can be used.

tags

No

Array of Tag

Query using tags.

A maximum of 20 tags can be used.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

Number of instances meeting the filtering conditions.

dataSet

Array of InstanceInfo

Information on an instance.

4. Code Example

Query list of virtual machine instances.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated